// Code generated by mockery v2.20.0. DO NOT EDIT.

package mockclients

import (
	context "context"

	mock "github.com/stretchr/testify/mock"

	types "gitlab.com/infor-cloud/martian-cloud/tharsis/tharsis-sdk-go/pkg/types"
)

// RunnerSession is an autogenerated mock type for the RunnerSession type
type RunnerSession struct {
	mock.Mock
}

// CreateRunnerSession provides a mock function with given fields: ctx, input
func (_m *RunnerSession) CreateRunnerSession(ctx context.Context, input *types.CreateRunnerSessionInput) (*types.RunnerSession, error) {
	ret := _m.Called(ctx, input)

	var r0 *types.RunnerSession
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, *types.CreateRunnerSessionInput) (*types.RunnerSession, error)); ok {
		return rf(ctx, input)
	}
	if rf, ok := ret.Get(0).(func(context.Context, *types.CreateRunnerSessionInput) *types.RunnerSession); ok {
		r0 = rf(ctx, input)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*types.RunnerSession)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, *types.CreateRunnerSessionInput) error); ok {
		r1 = rf(ctx, input)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// CreateRunnerSessionError provides a mock function with given fields: ctx, input
func (_m *RunnerSession) CreateRunnerSessionError(ctx context.Context, input *types.CreateRunnerSessionErrorInput) error {
	ret := _m.Called(ctx, input)

	var r0 error
	if rf, ok := ret.Get(0).(func(context.Context, *types.CreateRunnerSessionErrorInput) error); ok {
		r0 = rf(ctx, input)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// SendRunnerSessionHeartbeat provides a mock function with given fields: ctx, input
func (_m *RunnerSession) SendRunnerSessionHeartbeat(ctx context.Context, input *types.RunnerSessionHeartbeatInput) error {
	ret := _m.Called(ctx, input)

	var r0 error
	if rf, ok := ret.Get(0).(func(context.Context, *types.RunnerSessionHeartbeatInput) error); ok {
		r0 = rf(ctx, input)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

type mockConstructorTestingTNewRunnerSession interface {
	mock.TestingT
	Cleanup(func())
}

// NewRunnerSession creates a new instance of RunnerSession. It also registers a testing interface on the mock and a cleanup function to assert the mocks expectations.
func NewRunnerSession(t mockConstructorTestingTNewRunnerSession) *RunnerSession {
	mock := &RunnerSession{}
	mock.Mock.Test(t)

	t.Cleanup(func() { mock.AssertExpectations(t) })

	return mock
}
